org.apache.xalan.xsltc.dom

## Class NodeSortRecordFactory

- java.lang.Object
- - org.apache.xalan.xsltc.dom.NodeSortRecordFactory

    public class NodeSortRecordFactory
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`NodeSortRecordFactory(DOM dom, java.lang.String className, Translet translet, java.lang.String[] order, java.lang.String[] type)` Deprecated. This constructor is no longer used in generated code. It exists only for backwards compatibility.
`NodeSortRecordFactory(DOM dom, java.lang.String className, Translet translet, java.lang.String[] order, java.lang.String[] type, java.lang.String[] lang, java.lang.String[] caseOrder)` Creates a NodeSortRecord producing object.

### Method Summary

Methods
`java.lang.String` `getClassName()`
`NodeSortRecord` `makeNodeSortRecord(int node, int last)` Create an instance of a sub-class of NodeSortRecord.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NodeSortRecordFactory

    public NodeSortRecordFactory(DOM dom,
                         java.lang.String className,
                         Translet translet,
                         java.lang.String[] order,
                         java.lang.String[] type)
                          throws TransletException

Deprecated. This constructor is no longer used in generated code. It exists only for backwards compatibility.
Creates a NodeSortRecord producing object. The DOM specifies which tree to get the nodes to sort from, the class name specifies what auxillary class to use to sort the nodes (this class is generated by the Sort class), and the translet parameter is needed for methods called by this object.

Throws:
  `TransletException`

#### NodeSortRecordFactory

    public NodeSortRecordFactory(DOM dom,
                         java.lang.String className,
                         Translet translet,
                         java.lang.String[] order,
                         java.lang.String[] type,
                         java.lang.String[] lang,
                         java.lang.String[] caseOrder)
                          throws TransletException

Creates a NodeSortRecord producing object. The DOM specifies which tree to get the nodes to sort from, the class name specifies what auxillary class to use to sort the nodes (this class is generated by the Sort class), and the translet parameter is needed for methods called by this object.

Throws:
  `TransletException`

### Method Detail

#### makeNodeSortRecord

    public NodeSortRecord makeNodeSortRecord(int node,
                                    int last)
                                      throws java.lang.ExceptionInInitializerError,
                                             java.lang.LinkageError,
                                             java.lang.IllegalAccessException,
                                             java.lang.InstantiationException,
                                             java.lang.SecurityException,
                                             TransletException

Create an instance of a sub-class of NodeSortRecord. The name of this sub-class is passed to us in the constructor.

Throws:
  `java.lang.ExceptionInInitializerError`
  `java.lang.LinkageError`
  `java.lang.IllegalAccessException`
  `java.lang.InstantiationException`
  `java.lang.SecurityException`
  `TransletException`

#### getClassName

    public java.lang.String getClassName()